Overview
PATCH
/chat/conversations/{id}chatRename a conversation
Update fields of a record in conversations by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- titlestring
Example
{
"title": "string"
}Responses
204
Renamed
No response body.
400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PATCH "https://api.agenticdeveloperhub.com/chat/conversations/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/conversations/{id}", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"title\": \"string\"\n}",
});
const data = await res.json();